# makefile for Linux

###### Tools

CXX = c++

###### Compiler/linker flags

INC_PATH  = -I../../src
CXX_OPTS = -g
LIB_PATH  = -L../../dev

###### Macros

OBJS =
LIBS = -lmimepp_core

###### Targets

default: tree_ex

tree_ex : $(OBJS) tree_ex.o
	$(CXX) $(CXX_OPTS) -o tree_ex tree_ex.o $(OBJS) $(INC_PATH) $(LIB_PATH) $(LIBS)

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXX_OPTS) -c $(INC_PATH) $<
